Table of Contents

## Name

DMXRemoveInput - detach an input

## Synopsis

#include <X11/extensions/dmxext.h>

    Bool DMXRemoveInput(Display *dpy,
                        int id);

## Description

DMXRemoveInput() detaches the input device with id, and all associated inputs (e.g., if the id is a backend mouse, and a keyboard is also attached to the backend, then both devices will be detached).

## Return Value

DMXRemoveInput() returns True unless there is a protocol error.

DMXRemoveInput() can generate BadValue (if the id is not valid) and BadAccess (if the input has already been detached).

## See Also

DMXAddInput(3X) , DMX(3X) , Xdmx(1)

Table of Contents

- Name
- Synopsis
- Description
- Return Value
- See Also